import { AbsoluteIconContainerProps } from '../icon/itlab-absolute-icon-container.vue';
import { Icon } from 'itlab-icons';
type ChipProps = {
    icon?: Icon;
    iconContainer?: Omit<AbsoluteIconContainerProps, 'icon'>;
    label?: string | number;
    isRemoveable?: boolean;
    onClick?: (event: MouseEvent) => void;
};
declare var __VLS_15: {};
type __VLS_Slots = {} & {
    default?: (props: typeof __VLS_15) => any;
};
declare const __VLS_base: import('vue').DefineComponent<ChipProps, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {} & {
    click: (data: MouseEvent) => any;
    remove: (data: MouseEvent) => any;
}, string, import('vue').PublicProps, Readonly<ChipProps> & Readonly<{
    onClick?: ((data: MouseEvent) => any) | undefined;
    onRemove?: ((data: MouseEvent) => any) | undefined;
}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
declare const __VLS_export: __VLS_WithSlots<typeof __VLS_base, __VLS_Slots>;
declare const _default: typeof __VLS_export;
export default _default;
type __VLS_WithSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
